Last Comment Bug 880672 - Unprefix -moz-grab and -moz-grabbing
: Unprefix -moz-grab and -moz-grabbing
Status: RESOLVED FIXED
: dev-doc-complete, site-compat
Product: Core
Classification: Components
Component: CSS Parsing and Computation (show other bugs)
: Trunk
: All All
: -- normal (vote)
: mozilla27
Assigned To: Frank Yan (:fryn)
:
Mentors:
Depends on: 879119
Blocks: unprefix 924598
  Show dependency treegraph
 
Reported: 2013-06-07 06:12 PDT by Henri Sivonen (:hsivonen)
Modified: 2014-11-19 00:29 PST (History)
7 users (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---
Has Regression Range: ---
Has STR: ---
27+


Attachments
patch (3.99 KB, patch)
2013-06-24 00:34 PDT, Frank Yan (:fryn)
bzbarsky: review+
dbaron: superreview+
Details | Diff | Review

Description Henri Sivonen (:hsivonen) 2013-06-07 06:12:29 PDT
These CSS cursor keywords should be unprefixed (and upstreamed to the spec).
Comment 1 Justin Dolske [:Dolske] 2013-06-22 14:21:28 PDT
Frank -- didn't you talk with Tantek about this already? Or was that a different cursor?
Comment 2 Frank Yan (:fryn) 2013-06-23 01:51:27 PDT
(In reply to Justin Dolske [:Dolske] from comment #1)
> Frank -- didn't you talk with Tantek about this already? Or was that a
> different cursor?

I talked to Tantek about it several times, explaining that there have been two interoperable implementations for years (Gecko and WebKit) and he agreed that we should add them to the CSS3 UI spec, but he hasn't followed through on adding them to the spec.
Comment 3 Tantek Çelik 2013-06-23 07:36:04 PDT
Sorry, yes this is in my court to at least update the editor's draft accordingly:
http://wiki.csswg.org/spec/css3-ui#issue-26
and get another CR/LC draft published by the CSSWG.
I did raise it to the WG on www-style, got no objections, one strong approval. I also raised it in a telcon (but can't find the minutes :( ) and I remember it being approved there too.
Comment 4 Frank Yan (:fryn) 2013-06-24 00:34:45 PDT
Created attachment 766563 [details] [diff] [review]
patch
Comment 5 Boris Zbarsky [:bz] (Out June 25-July 6) 2013-07-10 15:57:50 PDT
Frank, do you still want review on this patch?  What's the status?
Comment 6 Frank Yan (:fryn) 2013-07-12 14:44:41 PDT
Comment on attachment 766563 [details] [diff] [review]
patch

Review of attachment 766563 [details] [diff] [review]:
-----------------------------------------------------------------

(In reply to Boris Zbarsky (:bz) from comment #5)
> Frank, do you still want review on this patch?  What's the status?

I do want review on this patch.

`grab` and `grabbing` have received approval from members of the CSS working group for inclusion in the CSS3 UI Module. It's simply not been entered into the editor's and working drafts yet, but there's no reason to keep waiting for that to happen.
Comment 7 Boris Zbarsky [:bz] (Out June 25-July 6) 2013-07-15 20:15:59 PDT
Comment on attachment 766563 [details] [diff] [review]
patch

r=me, but needs sr from dbaron
Comment 8 David Baron :dbaron: ⌚️UTC-7 (review requests must explain patch) 2013-07-15 23:31:31 PDT
So I don't actually see any record of a group decision here; all I see is http://lists.w3.org/Archives/Public/www-style/2013Apr/0056.html .  Tantek, did you want to raise this?
Comment 9 Tantek Çelik 2013-09-23 13:47:16 PDT
After Tab's affirmative response to that email:
http://lists.w3.org/Archives/Public/www-style/2013Apr/0058.html
I raised it in the subsequent telcon, and there was no objection. Unfortunately I can't find any sign of that in minutes.

It's in my queue to add to CSS3-UI editor's draft:

http://wiki.csswg.org/spec/css3-ui#issue-26
Comment 10 David Baron :dbaron: ⌚️UTC-7 (review requests must explain patch) 2013-09-23 14:17:45 PDT
Ah, it's in the minutes here:
http://lists.w3.org/Archives/Public/www-style/2013Apr/0428.html
Comment 11 David Baron :dbaron: ⌚️UTC-7 (review requests must explain patch) 2013-09-23 14:18:39 PDT
Comment on attachment 766563 [details] [diff] [review]
patch

sr=dbaron
Comment 12 David Baron :dbaron: ⌚️UTC-7 (review requests must explain patch) 2013-09-25 12:36:02 PDT
https://hg.mozilla.org/integration/mozilla-inbound/rev/8879393c2552
Comment 13 Wes Kocher (:KWierso) 2013-09-25 20:37:11 PDT
https://hg.mozilla.org/mozilla-central/rev/8879393c2552
Comment 16 Tantek Çelik 2014-11-19 00:29:27 PST
CSS3-UI editor's draft updated with 'grab' and 'grabbing': http://dev.w3.org/csswg/css-ui/

Note You need to log in before you can comment on or make changes to this bug.